gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net
Safe Haskell | None

System.GIO.Enums

Contents

- Enums

Description

Synopsis

- data FileQueryInfoFlags
  - = FileQueryInfoNone
  - | FileQueryInfoNofollowSymlinks
- data FileCreateFlags
  - = FileCreateNone
  - | FileCreatePrivate
  - | FileCreateReplaceDestination
- data FileCopyFlags
  - = FileCopyNone
  - | FileCopyOverwrite
  - | FileCopyBackup
  - | FileCopyNofollowSymlinks
  - | FileCopyAllMetadata
  - | FileCopyNoFallbackForMove
  - | FileCopyTargetDefaultPerms
- data FileMonitorFlags
  - = FileMonitorNone
  - | FileMonitorWatchMounts
  - | FileMonitorSendMoved
  - | FileMonitorWatchHardLinks
- data FilesystemPreviewType
  - = FilesystemPreviewTypeIfAlways
  - | FilesystemPreviewTypeIfLocal
  - | FilesystemPreviewTypeNever
- data FileType
  - = FileTypeUnknown
  - | FileTypeRegular
  - | FileTypeDirectory
  - | FileTypeSymbolicLink
  - | FileTypeSpecial
  - | FileTypeShortcut
  - | FileTypeMountable
- data FileAttributeStatus
  - = FileAttributeStatusUnset
  - | FileAttributeStatusSet
  - | FileAttributeStatusErrorSetting
- data FileAttributeInfoFlags
  - = FileAttributeInfoNone
  - | FileAttributeInfoCopyWithFile
  - | FileAttributeInfoCopyWhenMoved
- data AskPasswordFlags
  - = AskPasswordNeedPassword
  - | AskPasswordNeedUsername
  - | AskPasswordNeedDomain
  - | AskPasswordSavingSupported
  - | AskPasswordAnonymousSupported
- data PasswordSave
  - = PasswordSaveNever
  - | PasswordSaveForSession
  - | PasswordSavePermanently
- data MountOperationResult
  - = MountOperationHandled
  - | MountOperationAborted
  - | MountOperationUnhandled
- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
- data FileMonitorEvent
  - = FileMonitorEventChanged
  - | FileMonitorEventChangesDoneHint
  - | FileMonitorEventDeleted
  - | FileMonitorEventCreated
  - | FileMonitorEventAttributeChanged
  - | FileMonitorEventPreUnmount
  - | FileMonitorEventUnmounted
  - | FileMonitorEventMoved
- data MountMountFlags = MountMountNone
- data MountUnmountFlags
  - = MountUnmountNone
  - | MountUnmountForce
- data DriveStartFlags = DriveStartNone
- data DriveStartStopType
  - = DriveStartStopTypeUnknown
  - | DriveStartStopTypeShutdown
  - | DriveStartStopTypeNetwork
  - | DriveStartStopTypeMultidisk
  - | DriveStartStopTypePassword
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- data AppInfoCreateFlags
  - = AppInfoCreateNone
  - | AppInfoCreateNeedsTerminal
  - | AppInfoCreateSupportsUris
  - | AppInfoCreateSupportsStartupNotification

# Enums

data FileQueryInfoFlags

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoNone |
FileQueryInfoNofollowSymlinks |

Instances

Bounded FileQueryInfoFlags |
Enum FileQueryInfoFlags | Flags used when an operation may create a file.
Eq FileQueryInfoFlags |
Ord FileQueryInfoFlags |
Show FileQueryInfoFlags |
Typeable FileQueryInfoFlags |
Flags FileQueryInfoFlags |

data FileCreateFlags

Constructors

FileCreateNone |
FileCreatePrivate |
FileCreateReplaceDestination |

Instances

Bounded FileCreateFlags |
Enum FileCreateFlags |
Eq FileCreateFlags |
Ord FileCreateFlags |
Show FileCreateFlags |
Typeable FileCreateFlags |
Flags FileCreateFlags |

data FileCopyFlags

Flags used when copying or moving files.

Constructors

FileCopyNone |
FileCopyOverwrite |
FileCopyBackup |
FileCopyNofollowSymlinks |
FileCopyAllMetadata |
FileCopyNoFallbackForMove |
FileCopyTargetDefaultPerms |

Instances

Bounded FileCopyFlags |
Enum FileCopyFlags | Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `FileAttributeFilesystemUsePreview`.
Eq FileCopyFlags |
Ord FileCopyFlags |
Show FileCopyFlags |
Typeable FileCopyFlags |
Flags FileCopyFlags |

data FileMonitorFlags

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorNone |
FileMonitorWatchMounts |
FileMonitorSendMoved |
FileMonitorWatchHardLinks |

Instances

Bounded FileMonitorFlags |
Enum FileMonitorFlags |
Eq FileMonitorFlags |
Ord FileMonitorFlags |
Show FileMonitorFlags |
Typeable FileMonitorFlags |
Flags FileMonitorFlags |

data FilesystemPreviewType

Constructors

FilesystemPreviewTypeIfAlways |
FilesystemPreviewTypeIfLocal |
FilesystemPreviewTypeNever |

Instances

Bounded FilesystemPreviewType |
Enum FilesystemPreviewType |
Eq FilesystemPreviewType |
Ord FilesystemPreviewType |
Show FilesystemPreviewType |
Typeable FilesystemPreviewType |

data FileType

Indicates the file's on-disk type.

Constructors

FileTypeUnknown |
FileTypeRegular |
FileTypeDirectory |
FileTypeSymbolicLink |
FileTypeSpecial |
FileTypeShortcut |
FileTypeMountable |

Instances

Bounded FileType |
Enum FileType |
Eq FileType |
Ord FileType |
Show FileType |
Typeable FileType |

data FileAttributeStatus

Used by `fileSetAttributesFromInfo` when setting file attributes.

Constructors

FileAttributeStatusUnset |
FileAttributeStatusSet |
FileAttributeStatusErrorSetting |

Instances

Bounded FileAttributeStatus |
Enum FileAttributeStatus |
Eq FileAttributeStatus |
Ord FileAttributeStatus |
Show FileAttributeStatus |
Typeable FileAttributeStatus |

data FileAttributeInfoFlags

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoNone |
FileAttributeInfoCopyWithFile |
FileAttributeInfoCopyWhenMoved |

Instances

Bounded FileAttributeInfoFlags |
Enum FileAttributeInfoFlags | `AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.
Eq FileAttributeInfoFlags |
Ord FileAttributeInfoFlags |
Read FileAttributeInfoFlags |
Show FileAttributeInfoFlags |
Flags FileAttributeInfoFlags |

data AskPasswordFlags

Constructors

AskPasswordNeedPassword |
AskPasswordNeedUsername |
AskPasswordNeedDomain |
AskPasswordSavingSupported |
AskPasswordAnonymousSupported |

Instances

Bounded AskPasswordFlags |
Enum AskPasswordFlags | `MountOperationResult` is returned as a result when a request for information is send by the mounting operation.
Eq AskPasswordFlags |
Ord AskPasswordFlags |
Show AskPasswordFlags |
Typeable AskPasswordFlags |
Flags AskPasswordFlags |

data PasswordSave

`PasswordSave` is used to indicate the lifespan of a saved password.

Constructors

PasswordSaveNever |
PasswordSaveForSession |
PasswordSavePermanently |

Instances

Bounded PasswordSave |
Enum PasswordSave |
Eq PasswordSave |
Ord PasswordSave |
Show PasswordSave |
Typeable PasswordSave |

data MountOperationResult

Constructors

MountOperationHandled |
MountOperationAborted |
MountOperationUnhandled |

Instances

Bounded MountOperationResult |
Enum MountOperationResult |
Eq MountOperationResult |
Ord MountOperationResult |
Show MountOperationResult |
Typeable MountOperationResult |

data IOErrorEnum

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |

Instances

Bounded IOErrorEnum |
Enum IOErrorEnum |
Eq IOErrorEnum |
Ord IOErrorEnum |
Show IOErrorEnum |
Typeable IOErrorEnum |

data FileMonitorEvent

Specifies what type of event a monitor event is.

Constructors

FileMonitorEventChanged |
FileMonitorEventChangesDoneHint |
FileMonitorEventDeleted |
FileMonitorEventCreated |
FileMonitorEventAttributeChanged |
FileMonitorEventPreUnmount |
FileMonitorEventUnmounted |
FileMonitorEventMoved |

Instances

Bounded FileMonitorEvent |
Enum FileMonitorEvent |
Eq FileMonitorEvent |
Ord FileMonitorEvent |
Show FileMonitorEvent |
Typeable FileMonitorEvent |

data MountMountFlags

Flags used when mounting a mount.

Constructors

MountMountNone |

Instances

Bounded MountMountFlags |
Enum MountMountFlags |
Eq MountMountFlags |
Ord MountMountFlags |
Show MountMountFlags |
Typeable MountMountFlags |
Flags MountMountFlags |

data MountUnmountFlags

Flags used when an unmounting a mount.

Constructors

MountUnmountNone |
MountUnmountForce |

Instances

Bounded MountUnmountFlags |
Enum MountUnmountFlags |
Eq MountUnmountFlags |
Ord MountUnmountFlags |
Show MountUnmountFlags |
Typeable MountUnmountFlags |
Flags MountUnmountFlags |

data DriveStartFlags

Flags used when starting a drive.

Constructors

DriveStartNone |

Instances

Bounded DriveStartFlags |
Enum DriveStartFlags |
Eq DriveStartFlags |
Ord DriveStartFlags |
Show DriveStartFlags |
Typeable DriveStartFlags |
Flags DriveStartFlags |

data DriveStartStopType

Enumeration describing how a drive can be started/stopped.

Constructors

DriveStartStopTypeUnknown |
DriveStartStopTypeShutdown |
DriveStartStopTypeNetwork |
DriveStartStopTypeMultidisk |
DriveStartStopTypePassword |

Instances

Bounded DriveStartStopType |
Enum DriveStartStopType |
Eq DriveStartStopType |
Ord DriveStartStopType |
Show DriveStartStopType |
Typeable DriveStartStopType |

data EmblemOrigin

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

Instances

Bounded EmblemOrigin |
Enum EmblemOrigin |
Eq EmblemOrigin |
Ord EmblemOrigin |
Show EmblemOrigin |
Typeable EmblemOrigin |

data AppInfoCreateFlags

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateNone |
AppInfoCreateNeedsTerminal |
AppInfoCreateSupportsUris |
AppInfoCreateSupportsStartupNotification |

Instances

Bounded AppInfoCreateFlags |
Enum AppInfoCreateFlags |
Eq AppInfoCreateFlags |
Ord AppInfoCreateFlags |
Show AppInfoCreateFlags |
Typeable AppInfoCreateFlags |
Flags AppInfoCreateFlags |